Bro apart from 9 entha number vachu modulus pannalum answer varuma
@PriyadharshiiniK2 күн бұрын
Bro super explanation💥. Its useful for my interview preparation😇
@AlgoTamizhaКүн бұрын
glad it was helpful. keep supporting
@pikachugaming42114 күн бұрын
super explaination ........ you deserve more
@vishwa_k4 күн бұрын
Wrong bro time complexity was O(3N) not O(N) Because you traverse the array three times The edge case does not require
@vishwa_k4 күн бұрын
Optimized Version: class Solution { public: vector<int> productExceptSelf(vector<int>& nums) { int n = nums.size(); vector<int> result(n, 1); // Compute left products directly in result array int left = 1; for (int i = 0; i < n; i++) { result[i] = left; left *= nums[i]; } // Compute right products directly in result array int right = 1; for (int i = n-1; i >= 0; i--) { result[i] *= right; right *= nums[i]; } return result; } };
@e.rohini55765 күн бұрын
java
@arunkumar-nm3py5 күн бұрын
hi your explanation is very clear 🙂, but i have a doubt, you said this is 0(n) but finally you use nested loop, these kind of area i always get confused.
@AlgoTamizha4 күн бұрын
yes, nested loop doesnt always mean n^2. Maybe you can think of it as how many times we access each element. even though there are any number of loops, if we only access elements once it is still O(N).
@Msdian94556 күн бұрын
Bro set concepts use pannuga
@arulmozhi45806 күн бұрын
class Solution { public int removeDuplicates(int[] nums) { int count = 1, item = nums[0]; for(int i = 1;i<nums.length;i++) { if(item != nums[i]) { item = nums[i]; nums[count++] = nums[i]; } } return count; } } not equal to ethu konjam fast ah iruku 0ms but space konjam efficient ila
@AlgoTamizha6 күн бұрын
nice
@TimePass-xi4gm6 күн бұрын
Keep posting leetcode problems
@eceashok20657 күн бұрын
Bro math function use pandraku bathila r ange vachi 1 to 6 set pannalam bro
@AlgoTamizha6 күн бұрын
yeah adhuvum panlam
@rajeshkannan860811 күн бұрын
Now they added a new constraint You must solve the problem without modifying the array nums and using only constant extra space.
@gireeswar1812 күн бұрын
50th like key: Lower the time means higher the speed, we can use a bucket to store the time from a particular position, and eliminating the need for sorting (n logn) -> n my code: public static int carFleet(int target, int[] position, int[] speed) { int fleets = 0; double maxTime = 0; int n = position.length; double[] times = new double[target]; for (int i = 0; i < n; i++) { times[position[i]] = (double) (target - position[i]) / speed[i]; } for (int i = target - 1; i >= 0; i--) { if (times[i] > maxTime) { fleets++; maxTime = times[i]; } } return fleets; }
@SujithSundar-c7l12 күн бұрын
bro @10:26 that optimal solution X+2 puriyaala bro, how we can say that X+2 we can't find the solution , here
@42_jameskalam2212 күн бұрын
asked in zoho 2024 october batch too
@KarthikAllur15 күн бұрын
Bike manufacturering Java project podunga Tamil la please
@gokulkumar38016 күн бұрын
Sir airline reservations system project podunga
@Shinchanfanswithcomedy17 күн бұрын
Please continue this playlist bro
@Barathraj-b3o19 күн бұрын
little bit confusing bro
@AlgoTamizha19 күн бұрын
which part bro?
@sriakshayaexercise20 күн бұрын
After program explain the code
@srbgm157323 күн бұрын
java
@mtime664824 күн бұрын
R and also PL/SQL VARRAY
@saravanakumar276524 күн бұрын
Finally found perfect clear logical explanation video.
@rajyahoob24 күн бұрын
nice solution and explanation algo tamizha 😄
@MOGANAVARSHINIM25 күн бұрын
super explanation 🤩
@drdavid830526 күн бұрын
Awesome Video
@21flame7228 күн бұрын
// User function Template for Java class Solution { // Function to find hIndex public int hIndex(int[] citations) { // code here Arrays.sort(citations); int n =citations.length; for(int i=0;i<n;i++){ if(citations[i]>=n-i){ return n-i; } } return 0; } }
@gayuvj29 күн бұрын
Bro recently Zoho la intha qn kettanga. Itha solve pannunga bro Qn.nums= {3,4,7,2,1} O/p:{7,2,3,4,1} ->Odd numbers should be sorted in descending order in their corresponding index positions -> even numbers in ascending order without changing their corresponding index positions Solve panni upload pannunga bro
@mythiliscseb242729 күн бұрын
Bro ,amazon la idhe number of islands question la 0 between two 1s should be considered as bridge nu kuduthanga. adhaiyum bfs traversal la kekkuranga.. so number of islands BFS la epdi nusoli video podunga vro
@KeerthiraajanVaradaradjalouАй бұрын
Nice explanation Bro 🔥
@lovelysabeer5488Ай бұрын
Some of the problems la question la irukura number integer range ulla irukum but namma (left+right) add pannaila integer range ah vida athigama poirum soo right tha bigger atha left vachu subtract panitu atha divide panitu thirumba left ah add panikurom
@AlgoTamizhaАй бұрын
👍
@striver_coderАй бұрын
❤❤
@programming6177Ай бұрын
Mid = left + (right - left ) / 2 Reason : if we sum like (left + right) it may be out of integer range so , use left + (right - left ) / 2
@johnvictor-z7bАй бұрын
awesome explanation
@Vasanthvasanth-tq5zlАй бұрын
Daii Badu yaa da sollu tholaiya da video length akuraa
@sabinsesumariyan3687Ай бұрын
super
@siranjeevirajendran4067Ай бұрын
Semma Video explanation bro. Tamil-a sonnathu innum super!!
@brahadeeshramАй бұрын
3rd question 10011
@susmithamohan8150Ай бұрын
Thanks a lot it seems super easy now
@DineshKumar-xl2yiАй бұрын
use ascii instead of prime numbers
@brahadeeshramАй бұрын
is this code ok? " String s="123456789"; for (int i=0;i<s.length();i++){ for(int j=0;j<s.length();j++){ if(i==j || i+j==s.length()-1){ System.out.print(s.charAt(j)); }else { System.out.print(" "); } } System.out.println(); "
@brahadeeshramАй бұрын
Bro this code also give solution : " int[] a={11,31,4,3,9}; int[] b= new int[a.length]; Arrays.sort(a); int s=0,e=a.length-1; for(int i=0;i<a.length;i++){ if(i%2==0){ b[i]=a[e]; e--; }else{ b[i]=a[s]; s++; } } System.out.print(Arrays.toString(b)); " Is this correct?
@YuvarajUV001Ай бұрын
Inbuild functions use panalama like Contains() in this problem. allowed ah in competitive programming
@AlgoTamizhaАй бұрын
yes
@islamiccontents64Ай бұрын
Zoho ku ponum na java la endha concepts Vara therinja podhum bro . Awt enough ah illa swing um parkanuma bro . Core Java enough ah bro ?
@mohanal8176Ай бұрын
Thank You Sir .. Sir Semma Explanation ❤😁🙏🙏
@premPrema-m2pАй бұрын
i can i understand bro , thank you
@premPrema-m2pАй бұрын
3097. Shortest Subarray With OR at Least K II // intha sum teach pannunga bro
@kumar-gd6ubАй бұрын
Super explanation ❤
@errorcom-dt5ol2 ай бұрын
Bro wildcard matching leetcode prblm pani poduga bro
@jananisan2072 ай бұрын
Awesome
@thiyamybabygirl21442 ай бұрын
Its november month today challenge. I solved today mrng.